changeset 3464:33b6c8193652

Don't use test -e in tests - sh doesn't like it on Solaris
author Alexis S. L. Carvalho <alexis@cecm.usp.br>
date Wed, 18 Oct 2006 18:47:50 -0300
parents 5155fa27f514
children c6773b7ebee8
files tests/test-acl tests/test-bad-pull tests/test-empty-dir tests/test-static-http
diffstat 4 files changed, 4 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-acl
+++ b/tests/test-acl
@@ -9,7 +9,7 @@ do_push()
     echo 'hgrc = """'
     sed -e 1,2d b/.hg/hgrc
     echo '"""'
-    if [ -e acl.config ]; then
+    if test -f acl.config; then
 	echo 'acl.config = """'
 	cat acl.config
 	echo '"""'
--- a/tests/test-bad-pull
+++ b/tests/test-bad-pull
@@ -2,7 +2,7 @@
 
 hg clone http://localhost:20059/ copy
 echo $?
-test -e copy || echo copy: No such file or directory
+test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
 import BaseHTTPServer, SimpleHTTPServer, signal
--- a/tests/test-empty-dir
+++ b/tests/test-empty-dir
@@ -11,6 +11,6 @@ hg commit -m "second" -d "1000000 0" sub
 cat sub/b
 hg co 0
 cat sub/b 2>/dev/null || echo "sub/b not present"
-test -e sub || echo "sub not present"
+test -d sub || echo "sub not present"
 
 true
--- a/tests/test-static-http
+++ b/tests/test-static-http
@@ -2,7 +2,7 @@
 
 http_proxy= hg clone static-http://localhost:20059/ copy
 echo $?
-test -e copy || echo copy: No such file or directory
+test -d copy || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
 # one pull